> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription activities

> Fetches subscription activities of a given subscription.



## OpenAPI

````yaml get /v1/subscriptions/{id}/activities
openapi: 3.0.1
info:
  title: Webhook Subscriptions API
  description: Webhook Subscriptions definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: partner-ecosystem-team@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 11.7.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Webhook Subscriptions
    description: >-
      The Webhooks functionality sends real-time event notifications to
      third-party integrations. To receive notifications, you must register for
      webhook subscriptions. This API enables you to perform CRUD (Create, Read,
      Update, and Delete) subscription operations.
  - name: Event Types
  - name: Subscriptions
paths:
  /v1/subscriptions/{id}/activities:
    get:
      tags:
        - Subscriptions
      summary: Get subscription activities
      description: Fetches subscription activities of a given subscription.
      operationId: getSubscriptionActivities
      parameters:
        - name: id
          in: path
          description: The unique identifier of the subscription
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        - name: operation_types
          in: query
          description: >-
            Filters subscriptions by operationTypes. If the value is null, all
            subscription activities for the specified subscriptionId are
            returned.
          required: false
          style: form
          explode: true
          schema:
            uniqueItems: true
            type: array
            items:
              type: string
              enum:
                - CREATE
                - UPDATE
                - DELETE
          example:
            - CREATE
        - name: before
          in: query
          description: >-
            Lower bound of the page of data to return (cannot be used together
            with [after] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: after
          in: query
          description: >-
            Upper bound of the page of data to return (cannot be used together
            with [before] or [offset]).
          required: false
          style: form
          explode: true
          schema:
            pattern: ^[A-Z2-7=~]+$
            type: string
        - name: offset
          in: query
          description: >-
            Offset of the page of data to return (cannot be used together with
            [before] or [after]).
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int64
        - name: limit
          in: query
          description: The maximum amount of items to return.
          required: false
          style: form
          explode: true
          schema:
            minimum: 0
            type: integer
            format: int32
        - name: sorting_keys
          in: query
          description: The keys to sort the results by.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: sorting_order
          in: query
          description: >-
            The order to sort the results by. Must be the same length as
            [sortingKeys]; one order per key.
          required: false
          style: form
          explode: true
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PageOrder'
      responses:
        '200':
          description: The subscription activities are returned.
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/CursorPaginatedResponseSubscriptionActivityModel
        '404':
          description: The subscription record could not be found.
components:
  schemas:
    PageOrder:
      type: string
      enum:
        - ASC
        - ASC_NULLS_FIRST
        - ASC_NULLS_LAST
        - DESC
        - DESC_NULLS_FIRST
        - DESC_NULLS_LAST
    CursorPaginatedResponseSubscriptionActivityModel:
      required:
        - data
        - pagination
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionActivityModel'
        pagination:
          $ref: '#/components/schemas/CursorPageInfo'
    SubscriptionActivityModel:
      required:
        - actorUrn
        - createdAt
        - description
        - id
        - operationType
        - subscriptionId
      type: object
      properties:
        actorUrn:
          type: string
          description: The identifier of the user who performed the activity
          readOnly: true
          example: urn:pleo:organisation:12345678-1234-1234-1234-123456789012
        createdAt:
          type: string
          description: The time when the subscription activity was created
          format: date-time
          readOnly: true
          example: '2022-01-01T00:00:00Z'
        description:
          type: string
          description: The description of the activity
          readOnly: true
          example: Subscription deleted
        id:
          type: string
          description: The unique identifier of the subscription activity
          format: uuid
          readOnly: true
          example: 123e4567-e89b-12d3-a456-426614174000
        operationType:
          type: string
          description: The type of the activity performed
          readOnly: true
          example: CREATE
        subscriptionId:
          type: string
          description: The unique identifier of the subscription
          format: uuid
          readOnly: true
          example: 123e4567-e89b-12d3-a456-426614174000
    CursorPageInfo:
      required:
        - currentRequestPagination
        - hasNextPage
        - hasPreviousPage
      type: object
      properties:
        currentRequestPagination:
          $ref: '#/components/schemas/CursorPageCurrentRequestInfo'
        endCursor:
          type: string
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        startCursor:
          type: string
        total:
          type: integer
          format: int64
    CursorPageCurrentRequestInfo:
      required:
        - parameters
      type: object
      properties:
        after:
          type: string
        before:
          type: string
        limit:
          type: integer
          format: int32
        offset:
          type: integer
          format: int64
        parameters:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        sortingKeys:
          type: array
          items:
            type: string
        sortingOrder:
          type: array
          items:
            $ref: '#/components/schemas/PageOrder'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````